# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TGetInfoValue._Fields

Packages that use TGetInfoValue._Fields
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetInfoValue._Fields in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetInfoValue._Fields in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TGetInfoValue`
`static enum`
`TGetInfoValue._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TGetInfoValue._Fields
Modifier and Type
Field
Description
`static final Map<TGetInfoValue._Fields,org.apache.thrift.meta_data.FieldMetaData>`
TGetInfoValue.`metaDataMap`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetInfoValue._Fields
Modifier and Type
Method
Description
`protected TGetInfoValue._Fields`
TGetInfoValue.`enumForId(short id)`
`TGetInfoValue._Fields`
TGetInfoValue.`fieldForId(int fieldId)`
`static TGetInfoValue._Fields`
TGetInfoValue._Fields.`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TGetInfoValue._Fields`
TGetInfoValue._Fields.`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TGetInfoValue._Fields`
TGetInfoValue._Fields.`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`static TGetInfoValue._Fields`
TGetInfoValue._Fields.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetInfoValue._Fields[]`
TGetInfoValue._Fields.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoValue._Fields
Modifier and Type
Method
Description
`protected void`
TGetInfoValue.`checkType(TGetInfoValue._Fields setField, Object value)`
`protected org.apache.thrift.protocol.TField`
TGetInfoValue.`getFieldDesc(TGetInfoValue._Fields setField)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoValue._Fields
Modifier
Constructor
Description
``
`TGetInfoValue(TGetInfoValue._Fields setField, Object value)`